Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDataStream.Status

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QDataStream.Status

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDataStream

    public static final class QDataStream.Status

extends java.lang.Enum
implements QtEnumerator

This enum describes the current status of the text stream.

See also:
  `status()`.

See Also:
  Serialized Form

Field Summary
`static QDataStream.Status` | `Ok` The text stream is operating normally.
`static QDataStream.Status` | `ReadCorruptData` The text stream has read corrupt data.
`static QDataStream.Status` | `ReadPastEnd` The text stream has read past the end of the data in the underlying device.

Method Summary
`static QDataStream.Status` | `resolve(int value)` Returns the Status constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDataStream.Status` | `valueOf(java.lang.String name)`
`static QDataStream.Status[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Ok

    public static final QDataStream.Status Ok

  The text stream is operating normally.

### ReadPastEnd

    public static final QDataStream.Status ReadPastEnd

  The text stream has read past the end of the data in the underlying device.

### ReadCorruptData

    public static final QDataStream.Status ReadCorruptData

  The text stream has read corrupt data.

Method Detail

### values

    public static QDataStream.Status[] values()

### valueOf

    public static QDataStream.Status valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDataStream.Status resolve(int value)

  Returns the Status constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD